NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::DieEngTrimTaskBuilder Class Reference

Die Engineer trim task management builder, create a trim task by selected die tip, trim bounds, start plane and end plane. More...

Inheritance diagram for NXOpen::Tooling::DieEngTrimTaskBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  TrimTaskCamType { TrimTaskCamTypeAerialCam, TrimTaskCamTypeBaseMountedCam, TrimTaskCamTypeDirect }
 the trim task cam type. More...
 
enum  TrimTaskMatchCutType { TrimTaskMatchCutTypeNone, TrimTaskMatchCutTypeStart, TrimTaskMatchCutTypeEnd, TrimTaskMatchCutTypeBoth }
 the trim task match cut type. More...
 

Public Member Functions

NXOpen::Tooling::DieEngTrimTaskBuilder::TrimTaskCamType CamType ()
 Returns the cam type. More...
 
bool CreateScrap ()
 Returns the create scrap. More...
 
bool EndPlaneSelected ()
 Returns the end plane selected. More...
 
bool FinishOperation ()
 Returns the finish operation. More...
 
bool LayoutFlange ()
 Returns the layout flange. More...
 
NXOpen::Tooling::DieEngTrimTaskBuilder::TrimTaskMatchCutType MatchCut ()
 Returns the match cut. More...
 
NXOpen::DirectionSelectCamDirection ()
 Returns the selected cam direction. More...
 
NXOpen::Features::SelectFeatureSelectDieTip ()
 Returns the selected die tip. More...
 
NXOpen::PlaneSelectEndPlane ()
 Returns the selected end plane. More...
 
NXOpen::SelectIBasePlaneListSelectScrapCutters ()
 Returns the selected scrap cutters. More...
 
NXOpen::PlaneSelectStartPlane ()
 Returns the selected start plane. More...
 
NXOpen::ScCollectorSelectTrimBounds ()
 Returns the selected trim bounds. More...
 
void SetCamType (NXOpen::Tooling::DieEngTrimTaskBuilder::TrimTaskCamType camType)
 Sets the cam type. More...
 
void SetCreateScrap (bool createScrap)
 Sets the create scrap. More...
 
void SetEndPlaneSelected (bool endPlaneSelected)
 Sets the end plane selected. More...
 
void SetFinishOperation (bool finishOperation)
 Sets the finish operation. More...
 
void SetLayoutFlange (bool layoutFlange)
 Sets the layout flange. More...
 
void SetMatchCut (NXOpen::Tooling::DieEngTrimTaskBuilder::TrimTaskMatchCutType matchCut)
 Sets the match cut. More...
 
void SetMatchCutAngle (double angle)
 Sets the match cut dimension angle value. More...
 
void SetMatchCutFirstRadius (double firstRadius)
 Sets the match cut dimension first radius value. More...
 
void SetMatchCutNotchOffset (double notchOffset)
 Sets the match cut dimension notch offset value. More...
 
void SetMatchCutOffsetFromPlane (double offsetFromPlane)
 Sets the match cut dimension offset from plane value. More...
 
void SetMatchCutOffsetLength (double offsetLength)
 Sets the match cut dimension offset length value. More...
 
void SetMatchCutScrapCutterLength (double scrapCutterLength)
 Sets the match cut dimension scrap cutter length value. More...
 
void SetMatchCutSecondRadius (double secondRadius)
 Sets the match cut dimension second radius value. More...
 
void SetMatchCutThirdRadius (double thirdRadius)
 Sets the match cut dimension third radius value. More...
 
void SetSelectCamDirection (NXOpen::Direction *selectCamDirection)
 Sets the selected cam direction. More...
 
void SetSelectEndPlane (NXOpen::Plane *selectEndPlane)
 Sets the selected end plane. More...
 
void SetSelectStartPlane (NXOpen::Plane *selectStartPlane)
 Sets the selected start plane. More...
 
void SetStartPlaneSelected (bool startPlaneSelected)
 Sets the start plane selected. More...
 
void SetTrimDirection (bool trimDirection)
 Sets the trim direction. More...
 
void SetTrimNewDieFace (bool trimNewDieFace)
 Sets the trim new die face, from NX10.0 new stamping output can import one new die face to die engineer process. More...
 
void SetTrimTolerance (double trimTolerance)
 Sets the trim task tolerance. More...
 
void SetUsePlaneOffset (bool useOffset)
 Sets the match cut dimension use plane offset value. More...
 
bool StartPlaneSelected ()
 Returns the start plane selected. More...
 
void SwitchTrimSide ()
 Switch trim side. More...
 
bool TrimDirection ()
 Returns the trim direction. More...
 
bool TrimNewDieFace ()
 Returns the trim new die face, from NX10.0 new stamping output can import one new die face to die engineer process. More...
 
double TrimTolerance ()
 Returns the trim task tolerance. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Die Engineer trim task management builder, create a trim task by selected die tip, trim bounds, start plane and end plane.


To create a new instance of this class, use NXOpen::Tooling::AutoDieCollection::CreateDieEngTrimTaskBuilder

Created in NX10.0.0.

Member Enumeration Documentation

the trim task cam type.

Enumerator
TrimTaskCamTypeAerialCam 

aerial cam

TrimTaskCamTypeBaseMountedCam 

base mounted cam

TrimTaskCamTypeDirect 

direct

the trim task match cut type.

Enumerator
TrimTaskMatchCutTypeNone 

none

TrimTaskMatchCutTypeStart 

start

TrimTaskMatchCutTypeEnd 

end

TrimTaskMatchCutTypeBoth 

both

Member Function Documentation

NXOpen::Tooling::DieEngTrimTaskBuilder::TrimTaskCamType NXOpen::Tooling::DieEngTrimTaskBuilder::CamType ( )

Returns the cam type.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

bool NXOpen::Tooling::DieEngTrimTaskBuilder::CreateScrap ( )

Returns the create scrap.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

bool NXOpen::Tooling::DieEngTrimTaskBuilder::EndPlaneSelected ( )

Returns the end plane selected.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

bool NXOpen::Tooling::DieEngTrimTaskBuilder::FinishOperation ( )

Returns the finish operation.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

bool NXOpen::Tooling::DieEngTrimTaskBuilder::LayoutFlange ( )

Returns the layout flange.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::Tooling::DieEngTrimTaskBuilder::TrimTaskMatchCutType NXOpen::Tooling::DieEngTrimTaskBuilder::MatchCut ( )

Returns the match cut.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::Direction* NXOpen::Tooling::DieEngTrimTaskBuilder::SelectCamDirection ( )

Returns the selected cam direction.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::Features::SelectFeature* NXOpen::Tooling::DieEngTrimTaskBuilder::SelectDieTip ( )

Returns the selected die tip.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::Plane* NXOpen::Tooling::DieEngTrimTaskBuilder::SelectEndPlane ( )

Returns the selected end plane.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::SelectIBasePlaneList* NXOpen::Tooling::DieEngTrimTaskBuilder::SelectScrapCutters ( )

Returns the selected scrap cutters.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::Plane* NXOpen::Tooling::DieEngTrimTaskBuilder::SelectStartPlane ( )

Returns the selected start plane.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::ScCollector* NXOpen::Tooling::DieEngTrimTaskBuilder::SelectTrimBounds ( )

Returns the selected trim bounds.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

void NXOpen::Tooling::DieEngTrimTaskBuilder::SetCamType ( NXOpen::Tooling::DieEngTrimTaskBuilder::TrimTaskCamType  camType)

Sets the cam type.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
camTypecamtype
void NXOpen::Tooling::DieEngTrimTaskBuilder::SetCreateScrap ( bool  createScrap)

Sets the create scrap.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
createScrapif set to true, trim task will create scrap, or else not create scrap.
void NXOpen::Tooling::DieEngTrimTaskBuilder::SetEndPlaneSelected ( bool  endPlaneSelected)

Sets the end plane selected.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
endPlaneSelectedif set to true, hints that end plane is selected, or else not selected.
void NXOpen::Tooling::DieEngTrimTaskBuilder::SetFinishOperation ( bool  finishOperation)

Sets the finish operation.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
finishOperationif set to true, trim task will be finish operation, or else it is not finish operation.
void NXOpen::Tooling::DieEngTrimTaskBuilder::SetLayoutFlange ( bool  layoutFlange)

Sets the layout flange.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
layoutFlangeif set to true, trim task will layout flange, or else not layout flange.
void NXOpen::Tooling::DieEngTrimTaskBuilder::SetMatchCut ( NXOpen::Tooling::DieEngTrimTaskBuilder::TrimTaskMatchCutType  matchCut)

Sets the match cut.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
matchCutmatchcut
void NXOpen::Tooling::DieEngTrimTaskBuilder::SetMatchCutAngle ( double  angle)

Sets the match cut dimension angle value.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
angleangle
void NXOpen::Tooling::DieEngTrimTaskBuilder::SetMatchCutFirstRadius ( double  firstRadius)

Sets the match cut dimension first radius value.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
firstRadiusfirstradius
void NXOpen::Tooling::DieEngTrimTaskBuilder::SetMatchCutNotchOffset ( double  notchOffset)

Sets the match cut dimension notch offset value.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
notchOffsetnotchoffset
void NXOpen::Tooling::DieEngTrimTaskBuilder::SetMatchCutOffsetFromPlane ( double  offsetFromPlane)

Sets the match cut dimension offset from plane value.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
offsetFromPlaneoffsetfromplane
void NXOpen::Tooling::DieEngTrimTaskBuilder::SetMatchCutOffsetLength ( double  offsetLength)

Sets the match cut dimension offset length value.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
offsetLengthoffsetlength
void NXOpen::Tooling::DieEngTrimTaskBuilder::SetMatchCutScrapCutterLength ( double  scrapCutterLength)

Sets the match cut dimension scrap cutter length value.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
scrapCutterLengthscrapcutterlength
void NXOpen::Tooling::DieEngTrimTaskBuilder::SetMatchCutSecondRadius ( double  secondRadius)

Sets the match cut dimension second radius value.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
secondRadiussecondradius
void NXOpen::Tooling::DieEngTrimTaskBuilder::SetMatchCutThirdRadius ( double  thirdRadius)

Sets the match cut dimension third radius value.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
thirdRadiusthirdradius
void NXOpen::Tooling::DieEngTrimTaskBuilder::SetSelectCamDirection ( NXOpen::Direction selectCamDirection)

Sets the selected cam direction.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
selectCamDirectionselectcamdirection
void NXOpen::Tooling::DieEngTrimTaskBuilder::SetSelectEndPlane ( NXOpen::Plane selectEndPlane)

Sets the selected end plane.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
selectEndPlaneselectendplane
void NXOpen::Tooling::DieEngTrimTaskBuilder::SetSelectStartPlane ( NXOpen::Plane selectStartPlane)

Sets the selected start plane.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
selectStartPlaneselectstartplane
void NXOpen::Tooling::DieEngTrimTaskBuilder::SetStartPlaneSelected ( bool  startPlaneSelected)

Sets the start plane selected.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
startPlaneSelectedif set to true, hints that start plane is selected, or else not selected.
void NXOpen::Tooling::DieEngTrimTaskBuilder::SetTrimDirection ( bool  trimDirection)

Sets the trim direction.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
trimDirectiontrimdirection
void NXOpen::Tooling::DieEngTrimTaskBuilder::SetTrimNewDieFace ( bool  trimNewDieFace)

Sets the trim new die face, from NX10.0 new stamping output can import one new die face to die engineer process.

If this trim task will trim this new die face, set trimNewDieFace to true, or else set it to false.
Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
trimNewDieFaceif set to true, pierce task performs on new die face, or else it will perform on original die face.
void NXOpen::Tooling::DieEngTrimTaskBuilder::SetTrimTolerance ( double  trimTolerance)

Sets the trim task tolerance.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
trimTolerancetrimtolerance
void NXOpen::Tooling::DieEngTrimTaskBuilder::SetUsePlaneOffset ( bool  useOffset)

Sets the match cut dimension use plane offset value.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

Parameters
useOffsetuseoffset
bool NXOpen::Tooling::DieEngTrimTaskBuilder::StartPlaneSelected ( )

Returns the start plane selected.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

void NXOpen::Tooling::DieEngTrimTaskBuilder::SwitchTrimSide ( )

Switch trim side.

When trim profile and trim planes are selected, there will be a default trim side, if the other side want to be trimmed out, should call this to switch it.
Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

bool NXOpen::Tooling::DieEngTrimTaskBuilder::TrimDirection ( )

Returns the trim direction.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

bool NXOpen::Tooling::DieEngTrimTaskBuilder::TrimNewDieFace ( )

Returns the trim new die face, from NX10.0 new stamping output can import one new die face to die engineer process.

If this trim task will trim this new die face, set trimNewDieFace to true, or else set it to false.
Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")

double NXOpen::Tooling::DieEngTrimTaskBuilder::TrimTolerance ( )

Returns the trim task tolerance.


Created in NX10.0.0.

License requirements : die_engineering ("DIE ENGINEERING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.